function ls_nodes.inv_take_put(pos, listname, index, stack, player)
   local player_name = player:get_player_name()
   if minetest.is_protected(pos, player_name) and not minetest.check_player_privs(player, 'protection_bypass') then
      return 0
   else
      return 99
   end
end

function ls_nodes.inv_manipulate(pos, from_list, from_index, to_list, to_index, count, player)
   local player_name = player:get_player_name()
   if minetest.is_protected(pos, player_name) and not minetest.check_player_privs(player, 'protection_bypass') then
      return 0
   else
      return 99
   end
end

function ls_nodes.inv_take(pos, listname, index, stack, player)
   minetest.log("action", player:get_player_name() .. " takes " .. stack:get_name() ..
   " from storage at " .. minetest.pos_to_string(pos))
end

function ls_nodes.inv_put(pos, listname, index, stack, player)
   minetest.log("action", player:get_player_name() .. " moves " .. stack:get_name() ..
   " to storage at " .. minetest.pos_to_string(pos))
end
